Skip to main content
`Ctrl`+`K`

# EPSGDGetDoubleExpansion

Gets a flag indicating whether the double expansion variant has been activated or not.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGDGetDoubleExpansion(EPS eps,PetscBool *doubleexp)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- doubleexp - the flag

## See Also

EPS: Eigenvalue Problem Solver, `EPSGD`, `EPSGDSetDoubleExpansion()`

## Level

advanced

## Location

src/eps/impls/davidson/gd/gd.c

## Implementations

EPSGDGetDoubleExpansion_GD() in src/eps/impls/davidson/gd/gd.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages